require 'renderCFN/awsObject'

module RenderCFN
  class InstanceProfile < AwsObject
      def initialize( name)
        @name = "#{name}InstanceProfile"
        @awsObject = { 
          @name => {
            'Type' => 'AWS::IAM::InstanceProfile',
            'Properties' => {
              'Path' => '/',
              'Roles' => Array.new
            },
          'DependsOn' => []
          }
        }
      end

      def addRole( name)
        @awsObject[@name]['Properties']['Roles'].push( 'Ref' => name)
      end
  
  end

end
