require 'renderCFN/awsObject'

module RenderCFN
  class SecurityGroup < AwsObject
      def initialize( arguments)
        @name = "#{arguments[:name]}SecurityGroup"
        @awsObject = { 
          @name => {
            'Type' => 'AWS::EC2::SecurityGroup', 
            'Properties' => {
              'GroupDescription' => arguments[:desc],
              'VpcId' => arguments[:vpcID],
              'SecurityGroupIngress' => [ 
              ]
            }
          }
        }
      end

      def addPort( protocol, ip, from, to=from)

        entry = { 'IpProtocol' => protocol,
                'CidrIp' => ip,
                'FromPort' => from,
                'ToPort' =>  to
              }
        @awsObject[@name]['Properties']['SecurityGroupIngress'].push( entry)
      end
  
  end

end
